#!/bin/sh

config() {
  NEW="$1"
  OLD="`dirname $NEW`/`basename $NEW .new`"
  # If there's no config file by that name, mv it over:
  if [ ! -r $OLD ]; then
    mv $NEW $OLD
  elif [ "`cat $OLD | md5sum`" = "`cat $NEW | md5sum`" ]; then # toss the redundant
    rm $NEW
  fi
  # Otherwise, we leave the .new copy for the admin to consider...
}

config etc/rc.d/rc.snort.new
config etc/snort/classification.config.new
config etc/snort/gen-msg.map.new
config etc/snort/generators.new
config etc/snort/reference.config.new
config etc/snort/sid.new
config etc/snort/sid-msg.map.new
config etc/snort/snort.conf.new
config etc/snort/threshold.conf.new
config etc/snort/unicode.map.new
for file in etc/snort/rules/*.new ; do
  config $file
done

# If the snort user/group don't exist, add them:
if grep "snort" etc/group 1> /dev/null 2> /dev/null ; then
  true
else
  groupadd snort
fi
if grep "snort" etc/passwd 1> /dev/null 2> /dev/null ; then
  true
else
  useradd -g snort -s /bin/false -c "SNORT" -d /var/log/snort snort
fi

# Sets the correct permissions for the log directory
chown -R snort.snort var/log/snort
chmod 750 var/log/snort
